Article ID: 121898, created on Jun 4, 2014, last review on Dec 15, 2014

  • Applies to:
  • Operations Automation 5.5

PA 5.5: Known Issues, Limitations, and General Notes


The article describes known issues and limitations of Parallels Operations Automation (POA) 5.5 and Parallels Business Automation (PBA) 5.5.

Module: POA

PACI IM fails to start during POA 5.5 upgrade

Symptoms

 There is error as below in PACI IM startup log: 
 Caused by: java.io.FileNotFoundException: ior/vm2vf.ior (No such file or directory)
 at java.io.FileInputStream.open(Native Method)
 Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/local/share/PACI-im/lib/libvm2vf.so: libasound.so.2: cannot open shared object file: No such file or directory 

Cause

PACI IM depends on Alsa package.

Solution

Install alsa package

Cannot register PCS node

Symptoms

 There is error as below in poa.debug.log log: 
DBG [1:1175:b4893b90:2 1:1175:b4893b90 lib]: [platform_id] {module_id="SharedNodeRegistrator"; code="2"} Can not determine remote host '192.168.214.137' platform.

Cause

Bug #CCU-7566

Solution

change /etc/parallels-release to PCS v.6

Cannot install PACI IM on Centos 6

Symptoms

Installation of PACI IM fails with the following error: 
Native dependency processing failed; list of dependences: apache-activemq >= 5.8.0-106. Please either install the packages above, or application templates with them. Error: /usr/local/pem/sbin/pem-pkg-tool:21: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module. import popen2 Error: Package: apache-activemq-5.8.0-106.parallels.noarch (repo-id-4)

Cause

PACI IM requires java-1.6.0-openjdk <= 1:1.6.0.0-1.57.1.11.9.el6_4

Solution

Take JDK from http://vault.centos.org/6.4/updates/x86_64/Packages/java-1.6.0-openjdk-1.6.0.0-1.57.1.11.9.el6_4.x86_64.rpm

SiteBuilder 4.5 don't work because of missing SQLite 2.x support in CloudLinux 6

Symptoms

SiteBuilder 4.5 for Linux/Unix Servers packages unable to function on NG cluster/NG webserver with CloudLinux 6

Cause

php53-sqlite2 no more supported in CentOS 6/CloudLinux 6 but required by SiteBuilder 4.5 (see https://kb.odin.com/5460)

Solution

Download package from http://autoinstall.pp.parallels.com/PSA_11.5.30/dist-rpm-CentOS-5-x86_64/contrib/php53-sqlite2-5.3.2-11011812.x86_64.rpm and install on all webservers with next command:
rpm -ivh --nodeps php53-sqlite2-5.3.2-11011812.x86_64.rpm




Also for Linux Shared Hosting NG Known Issues see kb123525


 

 

Module: PBA

 


 

Not all API changes made PBA 5.5 are documented in API Guide

Symptoms

The following methods return extra parameters:AccountDetailsGet_API PlanPeriodDetailsGet_API PlanRateListFullGet_API SubscriptionDetailsGetEx_API SubscriptionResourcesListGet_API

Cause

Corresponding documentation bugs exist: PBA-53189, PBA-53812, PBA-53325, PBA-53813.


On PBA for Windows application server, "xmlrpcd" process may crash under heavy load of simultaneous API requests

Cause

Issue is caused by bug #PBA-58497 fixed in PBA 5.5.8. Hotfix for PBA 5.5.7.


Error appears instead of the redirect to "Complete account registration" page

Cause

Issue is caused by bug #PBA-57923.

Resolution

See article https://kb.odin.com/122868
 

Different limit presentation can be found in “Home” screen and “Subscription Resources” screen in Customer’s Control Panel

Cause

Bug #PBA-50349
 

Icon for Boolean resource is shown for the resource with numeral limits

Cause

Bug #PBA-50235
 

It is not possible to see "Message Log" menu with "COMMUNIC_VIEW_MSG_LOG" privilege

Cause

Bug #PBA-52375

Resolution

Check article https://kb.odin.com/122674
 

Null value is returned as 3.4028234663852886e+38 by API methods

Cause

Bug #PBA-53166
 

It is not possible to create brand on subdomains for reseller

Cause

Bug #PBA-56687
 

 
 

5b048d9bddf8048a00aba7e0bdadef37 caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae 2554725ed606193dd9bbce21365bed4e e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF